package com.ruoyi.system.service.impl.projectV2;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.projectV2.ZsyzSkDzje;
import com.ruoyi.system.mapper.projectV2.ZsyzSkDzjeMapper;
import com.ruoyi.system.service.projectV2.IZsyzSkDzjeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 招商引资_省库项目_到资金额Service业务层处理
 * 
 * @author boman
 * @date 2023-03-28
 */
@Service
public class ZsyzSkDzjeServiceImpl implements IZsyzSkDzjeService
{
    @Autowired
    private ZsyzSkDzjeMapper zsyzSkDzjeMapper;

    /**
     * 查询招商引资_省库项目_到资金额
     * 
     * @param id 招商引资_省库项目_到资金额主键
     * @return 招商引资_省库项目_到资金额
     */
    @Override
    public ZsyzSkDzje selectZsyzSkDzjeById(Long id)
    {
        return zsyzSkDzjeMapper.selectZsyzSkDzjeById(id);
    }

    /**
     * 查询招商引资_省库项目_到资金额列表
     * 
     * @param zsyzSkDzje 招商引资_省库项目_到资金额
     * @return 招商引资_省库项目_到资金额
     */
    @Override
    public List<ZsyzSkDzje> selectZsyzSkDzjeList(ZsyzSkDzje zsyzSkDzje)
    {
        return zsyzSkDzjeMapper.selectZsyzSkDzjeList(zsyzSkDzje);
    }

    /**
     * 新增招商引资_省库项目_到资金额
     * 
     * @param zsyzSkDzje 招商引资_省库项目_到资金额
     * @return 结果
     */
    @Override
    public int insertZsyzSkDzje(ZsyzSkDzje zsyzSkDzje)
    {
        zsyzSkDzje.setCreateTime(DateUtils.getNowDate());
        return zsyzSkDzjeMapper.insertZsyzSkDzje(zsyzSkDzje);
    }

    /**
     * 修改招商引资_省库项目_到资金额
     * 
     * @param zsyzSkDzje 招商引资_省库项目_到资金额
     * @return 结果
     */
    @Override
    public int updateZsyzSkDzje(ZsyzSkDzje zsyzSkDzje)
    {
        zsyzSkDzje.setUpdateTime(DateUtils.getNowDate());
        return zsyzSkDzjeMapper.updateZsyzSkDzje(zsyzSkDzje);
    }

    /**
     * 批量删除招商引资_省库项目_到资金额
     * 
     * @param ids 需要删除的招商引资_省库项目_到资金额主键
     * @return 结果
     */
    @Override
    public int deleteZsyzSkDzjeByIds(Long[] ids)
    {
        return zsyzSkDzjeMapper.deleteZsyzSkDzjeByIds(ids);
    }

    /**
     * 删除招商引资_省库项目_到资金额信息
     * 
     * @param id 招商引资_省库项目_到资金额主键
     * @return 结果
     */
    @Override
    public int deleteZsyzSkDzjeById(Long id)
    {
        return zsyzSkDzjeMapper.deleteZsyzSkDzjeById(id);
    }
}
